function as_openhint(address)
{
	as_popup = window.open
	(
		address,
		"Hints for the Advanced Search",
		"width=500, height=400, left=100, top=200, scrollbars=yes, dependent=yes"
	);
	as_popup.focus();
}
function as_toggle(as_node, as_children)
{
	var as_children_length = as_children.length;
	for ( var as_i = 0; as_i <= as_children_length; as_i++ )
	{
		var as_current_child = "as_cat_" + as_children.pop();
		if ( as$(as_current_child) )
		{
			if ( as$( "as_cat_" + as_node ).checked == true )
				as$( as_current_child ).checked = true;
			else
				as$( as_current_child ).checked = false;
		}
	}
}

function as_stringsearch(prefix)
{
	if ( as$(prefix+'querytype_string').checked == true )
	{
		as$(prefix+'sortby_rel').checked = '';
		as$(prefix+'sortby_date').checked = true;
		as$(prefix+'sortby_rel').disabled = 'disabled';
	}
	else
		as$(prefix+'sortby_rel').disabled = '';
}

function as$(el)
	{ return document.getElementById(el); }